<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/ipricecalc.php';

class IpricecalcController extends JControllerLegacy
{

	protected $default_view = 'categories';

	public function display($cachable = false, $urlparams = false)
	{
		$view   = JFactory::getApplication()->input->getCmd('view', 'categories');
		$this->addSubmenu($view);
		parent::display();
		return $this;
	}
	
	public static function addSubmenu($vName)
	{
		if(version_compare(JVERSION, '3.0', 'ge')) {
			JHtmlSidebar::addEntry(
				JText::_('Categories'),
				'index.php?option=com_ipricecalc&view=categories',
				$vName == 'categories'
			);
			JHtmlSidebar::addEntry(
				JText::_('Price_Items'),
				'index.php?option=com_ipricecalc&view=items',
				$vName == 'items'
			);
			JHtmlSidebar::addEntry(
				JText::_('Currency_manager'),
				'index.php?option=com_ipricecalc&view=currs',
				$vName == 'currs'
			);
			JHtmlSidebar::addEntry(
				JText::_('Orders'),
				'index.php?option=com_ipricecalc&view=orders',
				$vName == 'orders'
			);
			JHtmlSidebar::addEntry(
				JText::_('Import_CSV'),
				'index.php?option=com_ipricecalc&view=import',
				$vName == 'import'
			);
		} else {
			JSubMenuHelper::addEntry(
				JText::_('Categories'),
				'index.php?option=com_ipricecalc&view=categories',
				$vName == 'categories'
			);
			JSubMenuHelper::addEntry(
				JText::_('Price_Items'),
				'index.php?option=com_ipricecalc&view=items',
				$vName == 'items'
			);
			JSubMenuHelper::addEntry(
				JText::_('Currency_manager'),
				'index.php?option=com_ipricecalc&view=currs',
				$vName == 'currs'
			);
			JSubMenuHelper::addEntry(
				JText::_('Orders'),
				'index.php?option=com_ipricecalc&view=orders',
				$vName == 'orders'
			);
			JSubMenuHelper::addEntry(
				JText::_('Import_CSV'),
				'index.php?option=com_ipricecalc&view=import',
				$vName == 'import'
			);
		}
	}
	
}
?>
