<?php
/**
 * @package		Joomla
 * @copyright	Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controlleradmin');

class IpricecalcControllerOrders extends JControllerAdmin
{

	protected $text_prefix = 'COM_IPRICECALC_ORDERS';

	function __construct( $config = array() )
	{
		parent::__construct( $config );
	}
	
	public function getModel($name = 'Order', $prefix = 'IpricecalcModel', $config = array('ignore_request' => true))
	{
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}
	
	function view()
	{
		require_once( JPATH_COMPONENT_ADMINISTRATOR.'/helpers/orderhtml.php');	
		JToolbarHelper::title(JText::_( 'IPrice_order' ), 'generic.png');
		echo '<a href="index.php?option=com_ipricecalc&view=orders"><h3>'.JText::_('Back').'</h3></a><hr/>'; 		
		$cid 	= JFactory::getApplication()->input->getVar('id', 0, '', 'int');
		echo OrderhtmlHelper::getOrderHTML ($cid, false);
	}
	
}

?>
