<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

//JHtml::_('behavior.tooltip');
//JHtml::_('behavior.formvalidation');
JHtml::_('behavior.formvalidator');

if (version_compare(JVERSION, '3.0', 'ge'))
	JHtml::_('formbehavior.chosen', 'select');

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "curr.cancel" || document.formvalidator.isValid(document.getElementById("curr-form")))
		{
			Joomla.submitform(task, document.getElementById("curr-form"));
		}
	};
');

?>

<form action="<?php echo JRoute::_('index.php?option=com_ipricecalc&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="curr-form" class="form-validate form-horizontal">
<!-- Begin Banner -->
<div class="span10 form-horizontal">
	<fieldset>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('currcode'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('currcode'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('rate'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('rate'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('symbol'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('symbol'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('symplace'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('symplace'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('usespace'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('usespace'); ?>
			</div>
		</div>
	</fieldset>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</div>
</form>
