<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcTableCurr extends JTable
{
	public function __construct(&$_db)
	{
		parent::__construct('#__iprice_curr', 'id', $_db);
	}
	
	public function check()
	{
		$this->currdate = JFactory::getDate()->toSQL();
		return true;
	}
	
	public function & getCurr($currcode)	
	{
		$db = JFactory::getDBO();
		$query = 'SELECT * FROM #__iprice_curr WHERE currcode ='.$db->Quote($currcode);
		$db->setQuery( $query );
		$curr = $db->loadObject();
		return $curr;
	}
	
	public function delete($pk = null)	
	{
		if ($this->currcode == 'RUR' || $this->currcode == 'EUR' || $this->currcode == 'USD')
		{
			$this->setError(JText::_('NO_DEL_PREDEFINED_CURR'));
			return false;
		} else
			parent::delete($key);
	}
}

?>